CopyHero

Read Product

GET
/api/v1/products/{internal_product_id}

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

internal_product_id*Internal Product Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
id*Id
Formatuuid
owner_id*Owner Id
title?string|null
body_html?string|null
handle?string|null
vendor?string|null
product_type?string|null
category?string|null
category_full_name?string|null
seo_title?string|null
seo_description?string|null
source_type?string|null
source_url?string|null
currency?|null
source_payload?|null
import_extras?|null
created_at*Created At
Formatdate-time
updated_at*Updated At
Formatdate-time
tags*array<string>
auto_tags*array<string>
options*array<>
variants*array<>
images*array<>
store_links*array<>
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/products/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "owner_id": 0,  "title": "string",  "body_html": "string",  "handle": "string",  "vendor": "string",  "product_type": "string",  "category": "string",  "category_full_name": "string",  "seo_title": "string",  "seo_description": "string",  "source_type": "string",  "source_url": "string",  "currency": "AED",  "source_payload": {},  "import_extras": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "tags": [    "string"  ],  "auto_tags": [    "string"  ],  "options": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "position": 0,      "values": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "value": "string",          "position": 0        }      ]    }  ],  "variants": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "sku": "string",      "title": "string",      "price": "string",      "compare_at_price": "string",      "image_src": "string"    }  ],  "images": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "src": "string",      "position": 0,      "alt_text": "string",      "thumbnail_url": "string",      "blur_data_url": "string"    }  ],  "store_links": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "store_id": 0,      "store_name": "string",      "store_url": "string",      "store_domain": "string",      "push_blueprint_id": 0,      "push_blueprint_name": "string",      "store_backend_product_id": "string",      "store_backend_handle": "string",      "sync_state": "string",      "last_pushed_at": "2019-08-24T14:15:22Z",      "last_pulled_at": "2019-08-24T14:15:22Z",      "last_webhook_at": "2019-08-24T14:15:22Z",      "remote_deleted_at": "2019-08-24T14:15:22Z",      "last_sync_error": "string",      "snapshot": {        "id": 0,        "backend_product_id": "string",        "title": "string",        "handle": "string",        "body_html": "string",        "vendor": "string",        "product_type": "string",        "seo_title": "string",        "seo_description": "string",        "published_at": "string",        "remote_created_at": "string",        "remote_updated_at": "string",        "tags": [          "string"        ],        "options": [          {            "id": 0,            "name": "string",            "position": 0,            "values": [              {                "id": 0,                "value": "string",                "position": 0              }            ]          }        ],        "variants": [          {            "id": 0,            "backend_variant_id": "string",            "title": "string",            "sku": "string",            "price": "string",            "compare_at_price": "string",            "position": 0,            "image_src": "string",            "available": true,            "selected_options": [              "string"            ]          }        ],        "images": [          {            "id": 0,            "backend_image_id": "string",            "src": "string",            "internal_url": "string",            "position": 0,            "width": 0,            "height": 0          }        ],        "featured_image": "string"      }    }  ]}